%global __tar %{_bindir}/tar

Name:           gflags 
Version:        2.2.2 
Release:        1 
Summary:        Library that implements commandline flags processing. 

License:        BSD-3-Clause license 
URL:            https://github.com/gflags/gflags 
Source:         https://github.com/gflags/gflags/releases/tag/gflags-%{version}.tar.gz

BuildArch:      ppc

BuildRequires:  gcc >= 10.3.0 
BuildRequires:  cmake >= 3.26.4

Requires: bash >= 5.2.21

%description
The gflags package contains a C++ library that implements commandline flags processing. It includes built-in support for standard types such as string and the ability to define flags in the source file in which they are used.

%package devel
Summary: Devel package for gflags

Requires: %{name} = %{version}-%{release}

%description devel
Devel package for gflags.

%prep
%setup -q

%build
export CC="%{__cc__} -maix64"
export CXX="%{__cxx__} -maix64"
export OBJECT_MODE=64
cmake -B build -DBUILD_TESTING=ON -DCMAKE_INSTALL_PREFIX=/opt/freeware
cmake --build build
cd build && ctest

%install
export DESTDIR=${RPM_BUILD_ROOT}
export OBJECT_MODE=64
cmake --install build

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%license COPYING.txt 
%{_bindir}/gflags_completions.sh
%{_libdir}/cmake/gflags/*
%{_libdir}/*.a
%{_libdir}/pkgconfig/*

%files devel
%defattr(-,root,system,-)
%{_includedir}/gflags/*.h

%changelog
* Wed Oct 09 2024 Aditya Kamath <Aditya.Kamath1@ibm.com> - 1.5.2-1
- Port to AIX for FAISS.
